Loading...
Searching...
No Matches
pqxx::internal::stream_from_input_iterator< TYPE > Class Template Reference

Input iterator for stream_from. More...

## Public Types

using | value_type = std::tuple< TYPE... >

## Public Member Functions

| stream_from_input_iterator ()=default
| Construct an "end" iterator.
| stream_from_input_iterator (stream_t &home)
| stream_from_input_iterator (stream_from_input_iterator const &)=default
stream_from_input_iterator & | operator++ ()
value_type const & | operator* () const
bool | operator== (stream_from_input_iterator const &rhs) const
| Comparison only works for comparing to end().
bool | operator!= (stream_from_input_iterator const &rhs) const
| Comparison only works for comparing to end().

## Detailed Description

template<typename... TYPE>
class pqxx::internal::stream_from_input_iterator< TYPE >

Input iterator for stream_from.

Just barely enough to support range-based "for" loops on stream_from. Don't assume that any of the usual behaviour works beyond that.

The documentation for this class was generated from the following file:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/internal/stream_iterator.hxx